import Vue from "vue";
import App from "./App";
import store from "./store"; // store
import plugins from "./plugins"; // plugins
import "./permission"; // permission
import iftabbar from "./utils/iftabbar"; //引入底边导航判断
import fixedButton from '@/components/fixedButton/fixedButton.vue'
import modelScore from '@/components/modelScore/modelScore.vue'

Vue.use(plugins);

import {
	fileType,
	deletelDNS
} from './utils/tool.js'

import {
	getDicts
} from "@/api/dict.js";
Vue.prototype.fileType = fileType
Vue.prototype.deletelDNS = deletelDNS
Vue.prototype.getDicts = getDicts;

Vue.component("fixedButton", fixedButton);
Vue.component("modelScore", modelScore);
import uView from "uview-ui";
Vue.use(uView);
if (process.env.NODE_ENV === 'production') { //生产环境禁用console.log
	console.log = function() {};
}

Vue.config.productionTip = false;
Vue.prototype.$store = store;
Vue.prototype.$iftabbar = iftabbar;

App.mpType = "app";

const app = new Vue({
	...App,
});

app.$mount();